
# *********************************************************************************************************************
#
#                     :*$@@%$*:                         ;:                ;;    ;;
#                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
#                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
#                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
#                  =@*                                  %!              @ $= % %@=   =%@!      %=
#             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
#           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
#         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
#         $@*   ;@@@%=!:                *@*
#         =@$    ;;;!=%@@@@=!           =@!
#          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  \u5317\u4EAC\u4E0A\u683C\u4E91\u6280\u672F\u6709\u9650\u516C\u53F8
#           ;%@@$=$@@%*       *@@@$=%@@%;
#              ::;::             ::;::                                              All rights reserved.
#
# *********************************************************************************************************************
#

SYBOTAN_URL = http://www.sybotan.com
SYBOTAN_KOTLIN_VERSION = 1.4.92
SYBOTAN_SERVICE_VERSION = 1.4.137

SAGA_URL = http://www.sagaloud.cn
SAGA_KOTLIN_VERSION = 1.4.108
SAGA_SERVICE_VERSION = 1.4.140

MAVEN_REPO_PUBLIC_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-public/
MAVEN_REPO_RELEASE_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-releases/
MAVEN_REPO_SNAPSHOT_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-snapshots/
NEXUS_USERNAME = saga
NEXUS_PASSWORD = saga

LICENSE_NAME = The Apache Software License, Version 2.0
LICENSE_URL = http://www.apache.org/licenses/LICENSE-2.0.txt

DEVELOPER_ID = Andy.Sybotan
DEVELOPER_NAME = Andy

JVM_TARGET = 1.8
JDK_VERSION = 8

# https://mvnrepository.com/artifact/org.postgresql/postgresql
POSTGRESQL_VERSION=42.2.5
## https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
#ALIYUN_OSS_VERSION=3.3.0
# https://mvnrepository.com/artifact/org.apache.commons/commons-lang3
COMMONS_LANG_VERSION=3.8
# https://mvnrepository.com/artifact/org.jetbrains.dokka/dokka-gradle-plugin
DOKKA_VERSION=0.9.16
# https://mvnrepository.com/artifact/com.alibaba/druid
DRUID_VERSION=1.1.10
# https://mvnrepository.com/artifact/com.android.tools.build/gradle
GRADLE_VERSION=3.3.2
# https://mvnrepository.com/artifact/org.jline/jline
JLINE_VERSION=3.9.0
# https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api
JUNIT_VERSION=4.3.1

# https://mvnrepository.com/artifact/org.mybatis.spring.boot/mybatis-spring-boot-starter
MYBATIS_VERSION=1.3.2
# https://mvnrepository.com/artifact/mysql/mysql-connector-java
MYSQL_VERSION=8.0.12
# https://mvnrepository.com/artifact/javax.persistence/persistence-api
PERSISTENCE_VERSION=1.0.2
# https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml
POI_VERSION=4.0.1
# https://mvnrepository.com/artifact/org.slf4j/slf4j-api
SLF4J_VERSION=1.7.25
## https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
#SPRING_BOOT_VERSION=2.1.3.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
#SPRING_CLOUD_VERSION=1.4.6.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
#SPRING_CLOUD_CONFIG_VERSION=2.0.2.RELEASE
# https://mvnrepository.com/artifact/io.springfox/springfox-swagger-ui
SWAGGER_VERSION=2.9.2
# https://mvnrepository.com/artifact/org.hibernate.validator/hibernate-validator
VALIDATOR_VERSION=6.0.13.Final
## https://mvnrepository.com/artifact/com.google.zxing/core
#ZXING_VERSION=3.3.0
## https://repo.spring.io/milestone
#SPRING_CLOUD_DEPENDENCIES=Finchley.RELEASE
## https://mvnrepository.com/artifact/org.testng/testng
#TESTNG_VERSION=6.14.3
## https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
#PROTOBUF_VERSION = 3.7.0
##/ https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
#PROTOBUF_GRADLE_VERSION = 0.8.8
## https://mvnrepository.com/artifact/io.netty/netty-all
#NETTY_VERSION = 4.1.33.Final
# https://mvnrepository.com/artifact/com.google.zxing/core
ZXING_VERSION = 3.3.1
# https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
ALIYUN_OSS_VERSION=3.8.0
# https://mvnrepository.com/artifact/org.jetbrains.kotlin/kotlin-stdlib-jdk8
KOTLIN_VERSION = 1.3.61
# https://mvnrepository.com/artifact/io.netty/netty-all
NETTY_VERSION = 4.1.44.Final
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
PROTOBUF_VERSION = 3.11.1
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
PROTOBUF_GRADLE_VERSION = 0.8.10
# https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
SPRING_BOOT_VERSION = 2.2.2.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
SPRING_CLOUD_VERSION = 1.4.7.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
SPRING_CLOUD_CONFIG_VERSION = 2.2.0.RELEASE
# https://repo.spring.io/milestone
SPRING_CLOUD_DEPENDENCIES = Hoxton.RELEASE
# https://mvnrepository.com/artifact/org.testng/testng
TESTNG_VERSION = 7.0.0
# https://mvnrepository.com/artifact/org.springframework.kafka/spring-kafka
SPRING_KAFKA_VERSION = 2.4.0.RELEASE